Installed Oh 2.5.12 and 3.4 in one system

Hello,

after i checked my OH Version i have seen that i have openhab 2.5.12 and 3.4 installed. Is this a problem or do i have to delete the old openhab 2.5.11 version?

if i have to delete the version 2.5.12, how can i do that?

root@raspberrypi:/home/pi# dpkg -l |grep openhab
hi  openhab                              3.4.0-1                             all          openhab
hi  openhab-addons                       3.4.0-1                             all          openhab-addons
rc  openhab2                             2.5.12-1                            all          openhab2

Does the 3.4 instance work?

Do you see any problems during startup?

Having it installed isn’t necessarily a problem unless it’s also trying to run.

To remove it use the command

sudo apt uninstall openhab2

Your oh2 isn’t installed any longer.
rc in front of the package means it is deinstalled but configuration files remain on rhe system.

And the hi in front of the other packages means that they are half installed. There must have been a message about the reason why they are not completely installed.

1 Like